/*
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this file
 * for any purpose with or without restriction is hereby granted.
 */

public class HelloWorld
{

    public static void main(String args[])
    {
	/* No args, say hello to the world */
	if( args.length == 0 )
	{
	    System.out.println("Hello World!");
	}
	else
	{
	    int lpc;
			
	    for( lpc = 0; lpc < args.length; lpc++ )
	    {
		System.out.println("Hello " + args[lpc]);
	    }
	}
    }
	
}
